Page 1 of 2 1 2 LastLast
Results 1 to 20 of 24

Thread: Plesk 10.3.1 How to Update Horde 3 -> 4

  1. #1

    Default Plesk 10.3.1 How to Update Horde 3 -> 4

    Hi Guy,
    First of all sorry for my bad english, but i will try to shape my problems comprehensible.
    I am running Plesk Panel 10.3.1 on a Dedicated Virtual Server (Ubuntu 10.4 LTS).
    Plesk shows me that Horde 4.3 shall be installed. But when I log into my Webmail and compare the version it s running 3.x

    Here are screenshots

    Horde version installed:

    http://img577.imageshack.us/img577/5188/69654057.jpg


    Horde version running:

    http://img406.imageshack.us/img406/7669/27053052.jpg

    Now i know there are security problems with horde 3.
    Further Horde 4 has in my opinion better usability. (And it looks better Ajax *arrrr*)

    I searched a few days to resolve the problem, but i only found a post here where someone said that I have to run some sql files from /usr/share/psa-horde/....../sql
    The site of the horde project doesnt help, too.
    Instead of a upgrade manual they only say that horde 4 uses now a framework doesnt updating with sql statements anymore. (This is the reason i didnt tried the sql hint)
    In another Forum i heard that a manual update of horde will solve the problem.
    I tried this with SSH (apt-get upgrade psa-horde)
    This didnt worked, too.

    Now... Can someone help me updating Horde from 3 to version 4?
    Or can someone say me when an autoinstall version of Horde 4 will be available?
    (autoinstall seems like only ve version 3)

    greets

    Christian Schopf



  2. #2
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411

    Default

    Try to upgrade all installed components with

    # /usr/local/psa/admin/sbin/autoinstaller --select-release-current --upgrade-installed-components



  3. #3

    Default

    First of all thanks for your fast help.

    Unfortunately it didnt worked.

    /usr/local/psa/admin/sbin/autoinstaller --select-release-current --upgrade-installed-components
    File downloading products.inf3: 100% was finished.
    File downloading plesk.inf3: 10%..22%..35%..42%..50%..61%..73%..81%..93%..100% was finished.
    [...]
    Detecting installed product components.
    You already have the latest version of product(s) and all selected components
    installed. Installation will not continue.
    Synchronizing the Debian APT package index files...
    Warning: there are errors in 'apt-get update'
    Any possibility to remove and install it without the autoinstaller?

    greetz

    Christian Schopf



  4. #4
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411

    Default

    According to http://64.131.90.31/PSA_10.3.1/dist-...386/opt/horde/ Plesk 10.3.1 shipped with horde 3.3.10 version and IMP 4.3.9 version. IMP is the Internet Messaging Program, one of the Horde components. It
    provides webmail access to IMAP and POP3 accounts.



  5. #5

    Default

    So am I understanding the tech-support right?
    You tell me that 10.3.1 is delivered with Horde 3.3 so i cant update with
    the autoinstaller?

    Then Plesk should remove horde completely from Plesk.
    Horde 3.3 is a big security risk.

    So can anyone tell me how to remove Horde correct from plesk
    and how to install it manual?

    greetz Christian Schopf



  6. #6
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411

    Default

    You can completely remove Horde from Plesk with

    # rpm -e psa-horde psa-imp psa-ingo psa-kronolith psa-mimp psa-mnemo psa-turba psa-passwd

    But you can install Horde only from Plesk distribution kit. We can't guarantee correct Horde and Plesk operation if you install Horde from any other source.



  7. #7

    Default

    So if Parallels "supports" Horde 3,
    when they want to fix the securiry issues from Horde 3?
    When they want to release Psa for Horde4?

    Greetz Christian Schopf



  8. #8
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411



  9. #9

    Default

    Thats a word.
    Do you know when they re planning a Stable Release?

    greetz

    Chris



  10. #10
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411

    Default

    I haven't any ETA.



  11. #11

    Default

    Quote Originally Posted by Christian Schopf View Post
    Thats a word.
    Do you know when they re planning a Stable Release?

    greetz

    Chris
    Hi, Chris. Stable Release is expected about one or two months after GA.



  12. #12

    Default

    Quote Originally Posted by Christian Schopf View Post
    So if Parallels "supports" Horde 3,
    when they want to fix the securiry issues from Horde 3?
    When they want to release Psa for Horde4?

    Greetz Christian Schopf
    Hi, Chris. Plesk ships patched Horde 3. Please tell us if you are aware about any security issues with Horde in Plesk. Thanks.



  13. #13

    Default

    Yesterday I installed the new Plesk Update to 10.4.4 But there ist still Horde 3 an my System (Ubuntu), no Horde 4.2 was installed. Why?



  14. #14
    Kilo Poster
    Join Date
    Apr 2005
    Posts
    46

    Default

    Same issue over here, though the use of version numbers is very confusing. Plesk is using the version numbers of Horde and its webmail program IMP inconsistently.

    4.3.9 (mentioned in the Plesk webmail section) is the version number of IMP, the webmail program included in Horde v3. Now there's Horde v4 with IMP v5.

    Older Plesk readme files said that Horde 3.3.10 was included, but in Plesk 10.4 it says Horde 4.2 will be included. That's impossible as the latest release of Horde is 4.0.11.

    Now, will we get Horde v4(.0.11) with Plesk 10.4?
    Kind regards, Jelle



  15. #15

    Default

    Quote Originally Posted by IgorG View Post
    According to http://64.131.90.31/PSA_10.3.1/dist-...386/opt/horde/ Plesk 10.3.1 shipped with horde 3.3.10 version and IMP 4.3.9 version. IMP is the Internet Messaging Program, one of the Horde components. It
    provides webmail access to IMAP and POP3 accounts.
    So this is the reason for this picture?

    damnplesk.png

    And if i dont want to accept, that Plesk needs much longer to update their commercial Software (from 10.3.x to 10.3.y) than Horde needs to release new full revised stable releases (Horde 4 or 5) i can only delete psa-Horde
    with
    # rpm -e psa-horde psa-imp psa-ingo psa-kronolith psa-mimp psa-mnemo psa-turba psa-passwd
    and install and configure standalone Horde. But then there is no support from Parallels... i.E. for configure their old software for the new/new-old stable releases of horde.....?

    AND there is no answer about why hook_xx's Plesk 10.4.4 doesnt has Horde 4.2...

    Please confirm this or remark to this topic.

    Thanks.

    Chris



  16. #16
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411

    Default

    According to Release Notes http://download1.parallels.com/Plesk...ased-os.html#4 Horde 3.3.10 is supported by Plesk 10.4.4
    Previously there was error about Horde 4.2 version. Now it is fixed.



  17. #17

    Default

    xD Great so instead of updating psa-horde plugin we will stay on 3.3 ....
    omfg.... *ironic* Great Support, Great Work Parallels please ship plesk without plugins if u arent able to hold your plugins up to date......



  18. #18
    Kilo Poster
    Join Date
    Apr 2011
    Posts
    52

    Default

    yeah... this is really great... i can't awaiting to getting imp 5 (horde 4.011) with ajax interface and now... we have to wait for how long??? until plesk 11 in a year or two??


    oh oh...

    ps. since 05.december 2010 also awstats 7.0 is available... don't know about the changes but currently, plesk ships with awstats 6.95...



  19. #19
    Kilo Poster
    Join Date
    Sep 2010
    Posts
    35

    Default

    Can't we just remove the psa-horde package and install horde 4? or will that break it if it is not a plesk "psa-horde" package?



  20. #20
    Parallels Team IgorG's Avatar
    Join Date
    Oct 2009
    Location
    Novosibirsk, Russia
    Posts
    15,411

    Default

    Quote Originally Posted by DerrickH View Post
    Can't we just remove the psa-horde package and install horde 4? or will that break it if it is not a plesk "psa-horde" package?
    I think that Plesk will not found your custom unsupported Horde installation and as result Horde will not be integrated to Plesk interface.



Page 1 of 2 1 2 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •